#include <stdio.h>
#include <stdlib.h>

int main()
{	int n,x,t=0,min,max;
	scanf("%d%d",&n,&x);
	int a[n];
	int i;
	min=x;
	max=x;
	for(i=1; i<=n; i++){
		scanf("%d",&a[i]);
		if (a[i]<min){
			min=a[i];
		}
		if (a[i]>max){
			max=a[i];
		}
	}
	t=2*(x-min)+(max-x);
	printf("%d",t);


 return 0;
}